MASTER - firefox (intrepid/jaunty): "your browser has been updated and needs to be restarted"

Bug #270303 reported by Marty on 2008-09-14
378
This bug affects 37 people
Affects Status Importance Assigned to Milestone
Ubufox Extension
High
Unassigned
ubufox (Ubuntu)
High
Alexander Sack
Intrepid
Medium
Unassigned

Bug Description

Up to date intrepid.

ii firefox 3.0.2+build3+nobinonly-0ubuntu2 meta package for the popular mozilla web browser

A drop down keeps advising "your browser has been updated and needs to be restarted".

Restarting does not make it go away.

Dismissing it makes it go away for about 1 minute.

I have also seen this behaviour after upgrading to 3.0.2+build3+nobinonly-0ubuntu

Savvas Radevic (medigeek) wrote :

confirming the bug:
$ apt-cache policy firefox firefox-3.0 xulrunner-1.9
firefox:
  Installed: 3.0.3+build1+nobinonly-0ubuntu1
  Candidate: 3.0.3+build1+nobinonly-0ubuntu1
  Version table:
 *** 3.0.3+build1+nobinonly-0ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
firefox-3.0:
  Installed: 3.0.3+build1+nobinonly-0ubuntu1
  Candidate: 3.0.3+build1+nobinonly-0ubuntu1
  Version table:
 *** 3.0.3+build1+nobinonly-0ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
xulrunner-1.9:
  Installed: 1.9.0.2+build6+nobinonly-0ubuntu2
  Candidate: 1.9.0.2+build6+nobinonly-0ubuntu2
  Version table:
 *** 1.9.0.2+build6+nobinonly-0ubuntu2 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

Changed in firefox-3.0:
assignee: nobody → desktop-bugs
status: New → Confirmed
Savvas Radevic (medigeek) wrote :

A workaround:

Firefox menu > File > Quit
Then execute in terminal:
sudo killall -9 -r firefox
sudo apt-get purge firefox firefox-3.0 ubufox
sudo apt-get install --reinstall firefox firefox-3.0 firefox-3.0-gnome-support

When it's done, try run firefox

Changed in firefox-3.0:
assignee: desktop-bugs → nobody
Mackenzie Morgan (maco.m) wrote :

Is this still an issue with the newest Firefox update in Intrepid?

Changed in firefox-3.0:
status: Confirmed → Incomplete

I just had this problem with the current update in Intrepid. I hit the 'x' button and it still appeared on all my other tabs. Then I went back to the original tab I closed it in and it reappeared!

$ lsb_release -a && apt-cache policy firefox
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu intrepid (development branch)
Release: 8.10
Codename: intrepid
firefox:
  Installed: 3.0.3+nobinonly-0ubuntu1
  Candidate: 3.0.3+nobinonly-0ubuntu1
  Version table:
 *** 3.0.3+nobinonly-0ubuntu1 0
        500 http://archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

In your tabs? Do you mean you closed the message without restarting
Firefox? Of course it'll keep bugging you if you do that. Firefox
generally stops working properly after an update (2 or 3 bugs filed for
this in LP currently), so it's kind of important to actually restart it.

Me too. Savvas' workaround worked for me.

Mackenzie it is not about tabs. Firefox says it wants a restart. You click on restart. Firefox exits and restarts itself. Then a few seconds later says it needs a restart. So you click restart and it does. Then it comes up saying it needs a restart. Rinse and repeat. It also displays the restart message in every single tab including new ones you open which gets very annoying very quickly.

Roger Binns (ubuntu-rogerbinns) wrote :

As further exposition I should add that it only affected my existing user account that I had upgraded from Hardy. If I started a guest session then there was no problem.

In order to try and fix it I had uninstalled flash and nspluginwrapper (on AMD64 here) which had no effect.

Mackenzie Morgan (maco.m) wrote :

Roger:
I gathered before that that was the problem, but what Brett said through in a bunch of confusion.

Patrick Horn (phrh) wrote :

I, too, have been experiencing this bug since upgrading to Intrepid last weekend.

It seems the "restart" flag is stored in the firefox home directory. (Due to issues I had with an older version of firefox 3 (haven't had time to test this in intrepid), it kept hitting the hard disk after each page so I keep a copy in /dev/shm/ once at each boot).

I understand that deleting my entire home directory and starting from scratch would likely work, but I don't like to go through the hassle of migrating bookmarks, cookies, saved passwords, etc.

In my opinion the bug here is that the "restart" flag should not be getting saved in my firefox home directory, rather it should depend on whether you upgraded while firefox was open.

I don't want to sound like I am trolling by suggesting this, but I personally think this banner will lead to a few really slightly irritated users for a few additional reasons:

(1) Restarting firefox does *not* save your session. it does not pop up with "restore your session" and selecting Last Session from the session manager menu chooses an older session.
A temporary workaround for the intrepid release would be to have the Restart button run "killall -9 firefox" as that does save my session and therefore is much preferable.

(2) The popup appears after a seemingly random number of seconds. This causes everything on the page to shift around. My understanding is that the intent is to be annoying but making the browser unusable by waiting almost exactly the amount of time it takes me to click on a search result is pretty annoying IMO.

I don't know what would cause this to happen but my suggestion is to fix this below the bottom-most toolbar so it doesn't keep opening, closing, and moving around

(3) The popup has a close button even though it will reopen after you close it (and remain open in other tabs) This is likely to lead to user frustration.

As you can see I am personally not very happy about this change. I can understand you had reasons for adding this annoying nag banner (I remember personally experiencing blank windows in FF 2.0 due to an upgrade), but it was at least usable until I finish reading whatever tabs I have open).

But if you fix any one of these issues, or the root cause of being stored on a per-user basis (as Roger says), I would consider this problem solved.

After installing updates in the last hour this really annoying issue started happening again. I used Savvas' workaround again and it solved it again.

shawnlandden (shawnlandden) wrote :

confirmed, let firefox be firefox, if this is what you add to it i dont want a modified firefox

Simon Ellwood (simonellwood) wrote :

I have this too. It is annoying but not critical, as I can just ignore the banner.

Shane O'Connell (shaneoc) wrote :

I've seen this too, it happened two times that I can remember:

1) I saw both the light bulb notification in the notification area after installing updates which told me to restart my computer due to a kernel update, and the notification inside firefox telling me to restart firefox due to a firefox. I chose the "restart computer" option and when I finished restarting firefox still told me it needed to restart. This one seemed to go away on it's own, I can't remember if firefox told me more than once.

2) One time I installed firefox updates with my user account, and when another user logged in later firefox told that person it needed to restart over and over even though firefox wasn't even running in their account when I installed the updates. This person, by the way, also sees the "Know Your Rights" bar every time firefox starts, as well. So it goes "Know Your Rights" -> Close -> "Restart firefox" -> Close -> "Restart firefox" -> Close... etc.

I agree with what Patrick said with regards to this: "(3) The popup has a close button even though it will reopen after you close it (and remain open in other tabs) This is likely to lead to user frustration."

Why have a close button if it doesn't really close?

Alexander Sack (asac) on 2008-10-23
Changed in ubufox:
importance: Undecided → Low
status: Incomplete → Triaged
Paul Smith (psmith-gnu) wrote :

I'm seeing this on Intrepid, just installed/updated now. I'm not sure why the importance on this is "low". It's excruciatingly annoying, and extremely visible.

Bjorn Ruud (bjorn-ruud) wrote :

Updated to Firefox 3.0.4 today and got this problem. The purge/reinstall described by Savvas fixed it.

Same for me with 3.0.4 update. This is annoying since all my pages are moving up and down randomly because of the insertion at the top of the page.

Removing the following file cured the issue for me:

$HOME/.mozilla/firefox/default.XXX/localstore.rdf

Thanks to #firefox people.

Well, it just happened again on the FF 3.0.5 upgrade today and again I had to use Savvas workaround.

Andrew Yeomans (ayeomans) wrote :

See http://ubuntuforums.org/showthread.php?p=6391989#post6391989
Rather than remove all customisation by uninstalling firefox or deleting localstore.rfd, my workround was

close firefox
edit ~/.mozilla/firefox/<profile>/localstore.rdf to remove the 6 lines referring to "sanitize.xul"

<RDF:Description RDF:about="chrome://browser/content/sanitize.xul#SanitizeDialog"
                       screenX="439"
                       screenY="345" />
<RDF:Description RDF:about="chrome://browser/content/sanitize.xul">
  <NC:persist RDF:resource="chrome://browser/content/sanitize.xul#SanitizeDialog"
</RDF:Description>

then restart.
The repeated dialogue goes away.

Jason Gervich (gervich) wrote :

I just got this bug today when using Update Manager to update to Firefox 3.0.5 on Ubuntu 8.10. After rebooting it wouldn't go away, then I tried the fix suggested by Savvas Radevic:

sudo killall -9 -r firefox
sudo apt-get purge firefox firefox-3.0 ubufox
sudo apt-get install --reinstall firefox firefox-3.0 firefox-3.0-gnome-support

This worked for me!! Thanks Savvas. How did you discover this fix?

Thank you very much.
Regards,
Yureshwar Ravuri
Mob: 9241214987

On Sat, Dec 20, 2008 at 7:26 AM, Jason Gervich <email address hidden>wrote:

> I just got this bug today when using Update Manager to update to Firefox
> 3.0.5 on Ubuntu 8.10. After rebooting it wouldn't go away, then I tried
> the fix suggested by Savvas Radevic:
>
> sudo killall -9 -r firefox
> sudo apt-get purge firefox firefox-3.0 ubufox
> sudo apt-get install --reinstall firefox firefox-3.0
> firefox-3.0-gnome-support
>
> This worked for me!! Thanks Savvas. How did you discover this fix?
>
> --
> firefox (intrepid): "your browser has been updated and needs to be
> restarted"
> https://bugs.launchpad.net/bugs/270303
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "ubufox" source package in Ubuntu: Triaged
>
> Bug description:
> Up to date intrepid.
>
> ii firefox
> 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> popular mozilla web browser
>
> A drop down keeps advising "your browser has been updated and needs to be
> restarted".
>
> Restarting does not make it go away.
>
> Dismissing it makes it go away for about 1 minute.
>

Jason Gervich (gervich) wrote :

Hi Yureshwar,

I received an email from you thanking me, but I don't know what you are
thanking me for. Perhaps you could elucidte,

Thanks,

Jason Gervich

On Sat, 2008-12-20 at 03:00 +0000, yureshwar wrote:

> Thank you very much.
> Regards,
> Yureshwar Ravuri
> Mob: 9241214987
>
>
> On Sat, Dec 20, 2008 at 7:26 AM, Jason Gervich
> <email address hidden>wrote:
>
> > I just got this bug today when using Update Manager to update to Firefox
> > 3.0.5 on Ubuntu 8.10. After rebooting it wouldn't go away, then I tried
> > the fix suggested by Savvas Radevic:
> >
> > sudo killall -9 -r firefox
> > sudo apt-get purge firefox firefox-3.0 ubufox
> > sudo apt-get install --reinstall firefox firefox-3.0
> > firefox-3.0-gnome-support
> >
> > This worked for me!! Thanks Savvas. How did you discover this fix?
> >
> > --
> > firefox (intrepid): "your browser has been updated and needs to be
> > restarted"
> > https://bugs.launchpad.net/bugs/270303
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in "ubufox" source package in Ubuntu: Triaged
> >
> > Bug description:
> > Up to date intrepid.
> >
> > ii firefox
> > 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> > popular mozilla web browser
> >
> > A drop down keeps advising "your browser has been updated and needs to be
> > restarted".
> >
> > Restarting does not make it go away.
> >
> > Dismissing it makes it go away for about 1 minute.
> >
>

yureshwar (yureshwar) wrote :

Hi Jason,

I thanked you because you solved my problem of firefox. Is it clear now.
Regards,
Yureshwar Ravuri
Mob: 9241214987

On Sun, Dec 21, 2008 at 11:27 AM, Jason Gervich <email address hidden>wrote:

> Hi Yureshwar,
>
> I received an email from you thanking me, but I don't know what you are
> thanking me for. Perhaps you could elucidte,
>
> Thanks,
>
> Jason Gervich
>
> On Sat, 2008-12-20 at 03:00 +0000, yureshwar wrote:
>
> > Thank you very much.
> > Regards,
> > Yureshwar Ravuri
> > Mob: 9241214987
> >
> >
> > On Sat, Dec 20, 2008 at 7:26 AM, Jason Gervich
> > <email address hidden>wrote:
> >
> > > I just got this bug today when using Update Manager to update to
> Firefox
> > > 3.0.5 on Ubuntu 8.10. After rebooting it wouldn't go away, then I tried
> > > the fix suggested by Savvas Radevic:
> > >
> > > sudo killall -9 -r firefox
> > > sudo apt-get purge firefox firefox-3.0 ubufox
> > > sudo apt-get install --reinstall firefox firefox-3.0
> > > firefox-3.0-gnome-support
> > >
> > > This worked for me!! Thanks Savvas. How did you discover this fix?
> > >
> > > --
> > > firefox (intrepid): "your browser has been updated and needs to be
> > > restarted"
> > > https://bugs.launchpad.net/bugs/270303
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in "ubufox" source package in Ubuntu: Triaged
> > >
> > > Bug description:
> > > Up to date intrepid.
> > >
> > > ii firefox
> > > 3.0.2+build3+nobinonly-0ubuntu2 meta package for
> the
> > > popular mozilla web browser
> > >
> > > A drop down keeps advising "your browser has been updated and needs to
> be
> > > restarted".
> > >
> > > Restarting does not make it go away.
> > >
> > > Dismissing it makes it go away for about 1 minute.
> > >
> >
>
> --
> firefox (intrepid): "your browser has been updated and needs to be
> restarted"
> https://bugs.launchpad.net/bugs/270303
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "ubufox" source package in Ubuntu: Triaged
>
> Bug description:
> Up to date intrepid.
>
> ii firefox
> 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> popular mozilla web browser
>
> A drop down keeps advising "your browser has been updated and needs to be
> restarted".
>
> Restarting does not make it go away.
>
> Dismissing it makes it go away for about 1 minute.
>

Jason Gervich (gervich) wrote :

Hi Yureshwar,

Thank you, it's clear now.

Jason

On Sun, 2008-12-21 at 14:41 +0000, yureshwar wrote:

> Hi Jason,
>
> I thanked you because you solved my problem of firefox. Is it clear now.
> Regards,
> Yureshwar Ravuri
> Mob: 9241214987
>
>
> On Sun, Dec 21, 2008 at 11:27 AM, Jason Gervich
> <email address hidden>wrote:
>
> > Hi Yureshwar,
> >
> > I received an email from you thanking me, but I don't know what you are
> > thanking me for. Perhaps you could elucidte,
> >
> > Thanks,
> >
> > Jason Gervich
> >
> > On Sat, 2008-12-20 at 03:00 +0000, yureshwar wrote:
> >
> > > Thank you very much.
> > > Regards,
> > > Yureshwar Ravuri
> > > Mob: 9241214987
> > >
> > >
> > > On Sat, Dec 20, 2008 at 7:26 AM, Jason Gervich
> > > <email address hidden>wrote:
> > >
> > > > I just got this bug today when using Update Manager to update to
> > Firefox
> > > > 3.0.5 on Ubuntu 8.10. After rebooting it wouldn't go away, then I tried
> > > > the fix suggested by Savvas Radevic:
> > > >
> > > > sudo killall -9 -r firefox
> > > > sudo apt-get purge firefox firefox-3.0 ubufox
> > > > sudo apt-get install --reinstall firefox firefox-3.0
> > > > firefox-3.0-gnome-support
> > > >
> > > > This worked for me!! Thanks Savvas. How did you discover this fix?
> > > >
> > > > --
> > > > firefox (intrepid): "your browser has been updated and needs to be
> > > > restarted"
> > > > https://bugs.launchpad.net/bugs/270303
> > > > You received this bug notification because you are a direct subscriber
> > > > of the bug.
> > > >
> > > > Status in "ubufox" source package in Ubuntu: Triaged
> > > >
> > > > Bug description:
> > > > Up to date intrepid.
> > > >
> > > > ii firefox
> > > > 3.0.2+build3+nobinonly-0ubuntu2 meta package for
> > the
> > > > popular mozilla web browser
> > > >
> > > > A drop down keeps advising "your browser has been updated and needs to
> > be
> > > > restarted".
> > > >
> > > > Restarting does not make it go away.
> > > >
> > > > Dismissing it makes it go away for about 1 minute.
> > > >
> > >
> >
> > --
> > firefox (intrepid): "your browser has been updated and needs to be
> > restarted"
> > https://bugs.launchpad.net/bugs/270303
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in "ubufox" source package in Ubuntu: Triaged
> >
> > Bug description:
> > Up to date intrepid.
> >
> > ii firefox
> > 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> > popular mozilla web browser
> >
> > A drop down keeps advising "your browser has been updated and needs to be
> > restarted".
> >
> > Restarting does not make it go away.
> >
> > Dismissing it makes it go away for about 1 minute.
> >
>

given its annoyance, bumping importance.

Changed in ubufox:
importance: Low → Medium
Alexander Sack (asac) wrote :

seems to happen more frequently than expected. mark as SRU target.

Changed in ubufox:
importance: Undecided → Medium
milestone: none → intrepid-updates
status: New → Triaged
Alexander Sack (asac) on 2009-01-20
Changed in ubufox:
assignee: nobody → asac
Mackenzie Morgan (maco.m) wrote :

Didn't have this problem before, but now, using ubufox 0.6-0ubuntu2 on Jaunty, it's here.

This issue is still a problem and highly annoying to happen with each Firefox update.

Alexander Sack (asac) wrote :

please check your localstore.rdf permissions if you still see this. We should look into using something else as a base timeline for startup i think. This is definitly on my jaunty radar.

ricardisimo (ricardisimo) wrote :

Updated to 3.0.6 via the official Ubuntu repositories, and it's still happening. It would be a nice perk if JJ could resolve this once and for all.

I got the same issue today with the latest update. Disabling the "Ubuntu Firefox Modifications" addon resolved this.

Here we are again. I think when I had this happen with 3.0.6 I took the reinstall path. It worked, but I don't remember if I lost anything from that approach. Should I expect to lose anything using that approach?

I looked at my localstore.rdf file, and it doesn't have the referenced lines, so I don't think removing that file will help.

What about the "Ubuntu Firefox Modifications" plugin? Some people have said that removing that fixes this problem. Is that true? Is there any benefit to this plugin that I would lose by removing it?

Removing that plugin works because that plugin is what causes all notifications
of this sort. You would thus not be told when a Firefox restart actually was
required. I think there are also some search-box things that come from it
(like the Ubuntu packages one) and theming.

I decided to try the aforementioned purge/reinstall strategy, and it worked fine. I didn't lose any bookmarks or preferences, or anything else.

Rocko (rockorequin) wrote :

This bug just occurred in Jaunty alpha 5 when FF updated to 3.0.7. Reinstalling worked (although I had to add sun-java6-plugin to the last line of the script because it gets purged).

Alexander Sack (asac) wrote :

putting to my TODO list, so we will hopefully have a fix soon. given the annoyance this is importance high which would justify a SRU

Changed in ubufox:
importance: Medium → High
milestone: none → ubuntu-9.04
status: Triaged → In Progress

Hi, this is an irritating problem. I found that all I had to do to was touch localstore.rdf and it stopped happening.

Vassily Gavrilyak (gavrilyak) wrote :

Touching localstore.rdf fixed it for me too

Rob Vaughan (vaughan65) wrote :

Mozilla/5.0 (X11; U; Linux x86_64;
en-US; rv:1.9.0.8) Gecko/2009032712
Ubuntu/8.10 (intrepid) Firefox/3.0.8
in Intrepid AMD64

This seems to have fixed it for me.
Copy $HOME/.mozilla/firefox/XXXXX.default/localstore.rdf somewhere "for just in case".
Rename $HOME/.mozilla/firefox/XXXXX.default/localstore.rdf
to $HOME/.mozilla/firefox/XXXXX.default/XXXXXlocalstore.rdf
Start Firefox, it should start minimalist and create a basic
                $HOME/.mozilla/firefox/XXXXX.default/localstore.rdf .
Delete this newly made $HOME/.mozilla/firefox/XXXXX.default/localstore.rdf
Rename $HOME/.mozilla/firefox/XXXXX.default/XXXXXlocalstore.rdf
to $HOME/.mozilla/firefox/XXXXX.default/localstore.rdf
Start Firefox and all settings etc should be as you had them.

Aerelonian (aablenas) wrote :

Everything the same as Rob Vaughan (above). I'll try his fix.

Aerelonian (aablenas) wrote :

All I did was go to $Home/.mozilla/firefox/XXXXX.default/ and change localstore.rdf to XXXXXlocalstore.rdf and the error disappeared. No other changes were necessary. My thanks to Rob.

ricardisimo (ricardisimo) wrote :

I have a problem that I suspect is related to this. Another update, another quick look for one of the fixes. In the past I always ran Savvas' purge -> install solution, with no problems. This last time, however, partly out of laziness (I didn't find this thread right away) and partly out of curiosity I tried simply deleting the localstore file. Now the "X" in the upper right corner of Firefox [the quit button] doesn't work. I now have to do File -> Quit to shut FF down. Any clues how to fix or diagnose this, especially to see if, as I suspect, the two problems are related? Thanks.

valery (valeryc) wrote :

I've had this happening on several installs of hardy and fixed it by enabling history stored in Firefox preferences. Once it's enabled, one close-open cycle clears the issue.

ricardisimo (ricardisimo) wrote :

Thanks, but no luck. I'm going to ignore this right through to Jaunty it unless someone here wants to diagnose it. Thus far 9.04 is looking phenomenal, at least as far as I can tell via the Beta LiveCD. I hope these two bugs go away as well in the final version.

Alexander Sack (asac) wrote :

bzr commit -m "* using the localstore.rdf in the users profile as a source for the startup
  time turned out to be too unreliable; we drop that approach and use nsCategoryManager singleton to
  store a timestamp pretty close to the actual startup time; this fixes the infamous infinit startup
  notification bug (LP: #270303)
  - update content/updateRestart.js" --fixes lp:270303 content/updateRestart.js
Committing to: bzr+ssh://<email address hidden>/~asac/ubufox/main/
modified content/updateRestart.js
Committed revision 161.

Changed in ubufox:
importance: Undecided → High
status: New → Fix Committed
Alexander Sack (asac) wrote :

as you can see above, i committed a fix. you can test it now by installing the ubufox extension from latest bzr branch in your profile:

bzr branch lp:ubufox; cd ubufox; sh build.sh; firefox ubufox.xpi

(remember that in order to get the latest package version you need to uninstall the profile ubufox from tools->addons, which will make the packaged version reappear).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubufox - 0.7-0ubuntu1

---------------
ubufox (0.7-0ubuntu1) jaunty; urgency=low

  * ubufox 0.7 final release
    + fix plugin finder urls to properly point to 9.04 distributionID
      - update ./defaults/preferences/ubufox-pfs.js
    + using the localstore.rdf in the users profile as a source for the startup
      time turned out to be too unreliable; we drop that approach and use nsCategoryManager singleton to
      store a timestamp pretty close to the actual startup time; this fixes the infamous infinit startup
      notification bug (LP: #270303)
      - update content/updateRestart.js
    + add pfsdb meta file sources.list for 9.04 (jaunty)
      - add pfs/db/sources.list.9.04
    + revert changes from revno 149 to ubuntu-mods.js preferences that broke
      localization of websites (LP: #353924)
      - update defaults/preferences/ubuntu-mods.js
    + properly fallback to not-localized useragent.locale pref
      - update content/startpage.html

 -- Alexander Sack <email address hidden> Tue, 14 Apr 2009 12:00:58 +0200

Changed in ubufox (Ubuntu):
status: In Progress → Fix Released
Alexander Sack (asac) wrote :

if you are running intrepid, I would appreciate if you could use the instructions i gave here: https://bugs.edge.launchpad.net/ubuntu/+source/ubufox/+bug/270303/comments/48 to verify that this fix works for you too. Once confirmed, i will prepare an SRU with this fix.

Thanks a lot.

Changed in ubufox:
status: Fix Committed → Fix Released
Bjorn Ruud (bjorn-ruud) wrote :

Thanks for the fix. Although not critical, this was a really annoying bug.

Another method that worked for me was closing Firefox before upgrading.

Alexander,

The instructions you posted for intrepid worked perfectly for me. Thanks.

Tsvi Mostovicz (tsvi) wrote :

I just updated 3.0.8 to 3.0.9 and am receiving this error under Jaunty.
Seems like the bug has crept in again.

Alexander Sack (asac) wrote :

Tsvi, what are the symptoms you observed? what version of ubufox do you have when you look in tools-> addons?

haran_elessar (david-spike) wrote :

Alexander, I just did a fresh install of Jaunty. After adding the Ubuntu restricted extras (with firefox open) I started getting this same problem. The "your browser has been updated and needs to be restarted" dialog appears indefinitely. I have ubufox 0.7 and Firefox 3.0.9

haran_elessar (david-spike) wrote :

I disabled ubufox 0.7 and the problem stopped....why is that? (if this message appears multiple times...sorry I'm having some network problems where I am...)

mickw (mickworthington336) wrote :

Reading this thread shows this bug is six months old. Why has it reappeared in Firefox 3.0.9 on intrepid? I've been faced with a new version of Firefox every time I log on to the PC. Time to audition a new browser I think.

Chucky Ellison (ellisonch) wrote :

I had the above behavior happen to me after upgrading from Ubuntu 8.10 to 9.04. Disabling the ubuntu firefox modification add-on "fixed" the problem.

I'm not at my computer now, So I can't tell you about ubufox's version (I
think its 0.7).
I installed UNR 9.04 on my ASUS eeePC 701, it came with Firefox 3.0.8, after
a couple of minutes Ubuntu's update manager alerted me to the availability
of 3.0.9, so I installed it, and restarted Firefox as requested by the
message that lit up on the panel.

Since then every time I open Firefox it gives me a message asking me to
restart it. I can confirm that disabling ubufox fixed this behavior. I'm
wondering maybe it could be interoperability with other add-ons? I have
NoScript, Hebrew Calendar, XMarks, DownThemAll, Ubiquity and AddBlock Plus
installed.

If it's not ubufox 0.7 I'll notify you as sson as I get to my eeePC.

Tsvi

On Fri, Apr 24, 2009 at 14:25, Alexander Sack <email address hidden> wrote:

> Tsvi, what are the symptoms you observed? what version of ubufox do you
> have when you look in tools-> addons?
>
> --
> MASTER - firefox (intrepid): "your browser has been updated and needs to be
> restarted"
> https://bugs.launchpad.net/bugs/270303
> You received this bug notification because you are a direct subscriber
> of the bug.
>

This is strictly a ubufox bug since it controls most of the Warnings to restart browser to update extensions and such.

haran_elessar (david-spike) wrote :

Tsvi, I can also confirm it is strictly a ubufox bug as John said. I had just installed Jaunty so my Firefox didn't have any other extension or theme when the bug started after the update to 3.09

summary: - MASTER - firefox (intrepid): "your browser has been updated and needs to
- be restarted"
+ MASTER - firefox (intrepid/jaunty): "your browser has been updated and
+ needs to be restarted"
Robin Sheat (eythian) wrote :

Adding a 'me too': I did a fresh install of Jaunty, but kept my user data, and this has just started occurring again. 'touch localstore.rdf' did not appear to help.

Robin Sheat (eythian) wrote :

Addendum: neither deleting localstore.rdf, nor disabling the ubuntu extension made a difference either. It's still wanting me to restart.

Robin Sheat (eythian) wrote :

You can probably ignore my comments above. I tracked it down to the 'mouse gestures redox' add-on. Uninstalling that made everything go back to normal.

saifulhakiki (saifulhakiki) wrote :

my problem is over, thanks to Savvas Redevic... :)

Quote:
A workaround:

Firefox menu > File > Quit
Then execute in terminal:
sudo killall -9 -r firefox
sudo apt-get purge firefox firefox-3.0 ubufox
sudo apt-get install --reinstall firefox firefox-3.0 firefox-3.0-gnome-support

When it's done, try run firefox

gelignite (trash-can) wrote :

Hi,

the message occured to me the last days, now it is gone again. The thing to mention is, that I was playing with both clocks, system-clock (hwclock) and software-clock (date).

When changing the dates to some date in the past, like October last year, the message pops up when I restart the browser. The message is gone when I change the dates back to the current date and restart the browser.

I'm using Ubuntu 9.04 and FF package 3.0.10+nobinonly-0ubuntu0.9.04.1

HTH,
gelignite

Wolfgang (wsteinert-eftel) wrote :

Hi,

I just installed Ubuntu 9.04 stock standard and had no issues with Firefox 3.0.8. However after Firefox updated to version 3.0.10 the bug appeared.

I tried all sorts of suggestions and in the end the one that did it for me was to disable the extension "Ubuntu Firefox Modifications 0.7"

cheers ...

Hi,
prodobaly the bug is now fixed, but i don't test this, because i now don't
have Ubuntu 9.04 in my hard disk.

2009/6/3 Wolfgang <email address hidden>

> Hi,
>
> I just installed Ubuntu 9.04 stock standard and had no issues with
> Firefox 3.0.8. However after Firefox updated to version 3.0.10 the bug
> appeared.
>
> I tried all sorts of suggestions and in the end the one that did it for
> me was to disable the extension "Ubuntu Firefox Modifications 0.7"
>
> cheers ...
>
> --
> MASTER - firefox (intrepid/jaunty): "your browser has been updated and
> needs to be restarted"
> https://bugs.launchpad.net/bugs/270303
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Firefox Extension: Fix Released
> Status in “ubufox” source package in Ubuntu: Fix Released
> Status in ubufox in Ubuntu Intrepid: Triaged
>
> Bug description:
> Up to date intrepid.
>
> ii firefox
> 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> popular mozilla web browser
>
> A drop down keeps advising "your browser has been updated and needs to be
> restarted".
>
> Restarting does not make it go away.
>
> Dismissing it makes it go away for about 1 minute.
>

ricardisimo (ricardisimo) wrote :

I just want to confirm that the latest upgrade (to FF 3.0.11) went very smoothly, with no repeated restart requests... only once. Thank you to everyone once again. you do good work.

BBROS (pblaszkow5-gmail) wrote :

Thanks, i saw new version of Firefox and i use it, and i don't affirm any
bugs.
Thanks for your message.
Regards.

2009/6/16 ricardisimo <email address hidden>

> I just want to confirm that the latest upgrade (to FF 3.0.11) went very
> smoothly, with no repeated restart requests... only once. Thank you to
> everyone once again. you do good work.
>
> --
> MASTER - firefox (intrepid/jaunty): "your browser has been updated and
> needs to be restarted"
> https://bugs.launchpad.net/bugs/270303
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Firefox Extension: Fix Released
> Status in “ubufox” source package in Ubuntu: Fix Released
> Status in ubufox in Ubuntu Intrepid: Triaged
>
> Bug description:
> Up to date intrepid.
>
> ii firefox
> 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> popular mozilla web browser
>
> A drop down keeps advising "your browser has been updated and needs to be
> restarted".
>
> Restarting does not make it go away.
>
> Dismissing it makes it go away for about 1 minute.
>

Karthick (samratselva2009) wrote :

Hi ,

Thanks for your reply.

Thanks & Regards,

Karthick Selvakumaran.P

On Tue, Jun 16, 2009 at 3:11 PM, ricardisimo <email address hidden>wrote:

> I just want to confirm that the latest upgrade (to FF 3.0.11) went very
> smoothly, with no repeated restart requests... only once. Thank you to
> everyone once again. you do good work.
>
> --
> MASTER - firefox (intrepid/jaunty): "your browser has been updated and
> needs to be restarted"
> https://bugs.launchpad.net/bugs/270303
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Ubuntu Firefox Extension: Fix Released
> Status in “ubufox” source package in Ubuntu: Fix Released
> Status in ubufox in Ubuntu Intrepid: Triaged
>
> Bug description:
> Up to date intrepid.
>
> ii firefox
> 3.0.2+build3+nobinonly-0ubuntu2 meta package for the
> popular mozilla web browser
>
> A drop down keeps advising "your browser has been updated and needs to be
> restarted".
>
> Restarting does not make it go away.
>
> Dismissing it makes it go away for about 1 minute.
>

debjoy (dev-allrounder) on 2009-08-22
Changed in ubufox (Ubuntu):
status: Fix Released → Fix Committed
Alexander Sack (asac) wrote :

this is fixed in jaunty. forgot to adjust status.

Changed in ubufox (Ubuntu):
status: Fix Committed → Fix Released

I get this behavior running Ubuntu UNR 9.10 with the latest updates. The bug isn't solved.

graemev (graeme-launchpad) wrote :

I am now getting the behavior in karmic

Hi!

I want to describe my experience with my Ubuntu 9.10 Karmic. I was also using Firefox 3.5.6 but after the upgrade, it went to 3.5.7.

The steps are as follows:

1 - I received a message from update manager to perform updates, and I accept it.
2 - After that, the system asked for a reboot, and I accept it.
3 - During the reboot I decided to press F2 and look at my BIOS settings. I noticed the hardware clock time was wrong. I do not remember what time it was but I remember that it was also set for PM, when the correct time was like 10:05 AM. I did correct the hardware clock and reboot the system.
4 - After I reboot, my browse start to display the error message from this bug report.
5 - After reading on this report, I noticed the above description #66 mentioned by Gelignite where he was "playing with the hardware clock" . At that time I looked at my time and noticed it was showing like 3:06 AM when it should be around 11:00 AM.
6 - Before I play with the time settings, I close all my browsers.
7 - Lastly I went to preferences on my clock and set the time to the correct time, 11:07 AM.

8 - When I open the browser the message from this bug report were gone. I did not reinstall anything, only fixed the time.

On Fri, Jan 08, 2010 at 07:19:46PM -0000, Mauricio Silveira wrote:
> Hi!
>
> I want to describe my experience with my Ubuntu 9.10 Karmic. I was also
> using Firefox 3.5.6 but after the upgrade, it went to 3.5.7.
>
> The steps are as follows:
>
> 1 - I received a message from update manager to perform updates, and I accept it.
> 2 - After that, the system asked for a reboot, and I accept it.
> 3 - During the reboot I decided to press F2 and look at my BIOS settings. I noticed the hardware clock time was wrong. I do not remember what time it was but I remember that it was also set for PM, when the correct time was like 10:05 AM. I did correct the hardware clock and reboot the system.
> 4 - After I reboot, my browse start to display the error message from this bug report.
> 5 - After reading on this report, I noticed the above description #66 mentioned by Gelignite where he was "playing with the hardware clock" . At that time I looked at my time and noticed it was showing like 3:06 AM when it should be around 11:00 AM.
> 6 - Before I play with the time settings, I close all my browsers.
> 7 - Lastly I went to preferences on my clock and set the time to the correct time, 11:07 AM.
>
> 8 - When I open the browser the message from this bug report were gone.
> I did not reinstall anything, only fixed the time.
>

Firefox displays the restart required notification if "firefox startup
time" is before the "firefox upgrade time"; the upgrade time is
determined by mtime of the
/var/lib/update-notifier/firefox*restart-required file created
during upgrade.

So when your clock is in future during upgrade then you fix your time
and restart firefox, the "firefox startup time" will be always before
the last modified time of
/var/lib/update-notifier/firefox*restart-required.

So it would be expected to display that restart
notification and there is not much we can do about it.

However, for you this issue persists after reboot, which imo could
be dealt with by teaching update-notifier to delete all files in
/var/lib/update-notifier/firefox*restart-required.

CCed mvo, to get his input on whether this is doable.

 - Alexander

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Yureshwar Ravuri

Confirm that you know Yureshwar Ravuri
https://www.linkedin.com/e/isd/1007436097/B6RgzTB1/

------
(c) 2010, LinkedIn Corporation

Ruben (ruben-tregeagle) wrote :

I have a freshly installed and updated version of Karmic Koala running with Firefox 3.5.7
After installing the Adobe Flash plugin I got stuck in the restart loop.

I reset the time, it was out by a minute, and that fixed it.

Thanks for the tip Mauricio Silveira :)

g3nt00 (irdipsomania) on 2010-01-29
Changed in ubufox:
status: Fix Released → Incomplete
Alexander Sack (asac) wrote :

please dont tweak the bug status if you dont know what you are doing ... thx.

Changed in ubufox:
status: Incomplete → Fix Released
linux.girl (girllinux26) wrote :

Hello, my system just upgraded firefox from 3.5.3 to 3.5.8 and I started getting this annoying banner. I saw savvas workaround:

Firefox menu > File > Quit
Then execute in terminal:
sudo killall -9 -r firefox
sudo apt-get purge firefox firefox-3.0 ubufox
sudo apt-get install --reinstall firefox firefox-3.0 firefox-3.0-gnome-support

When it's done, try run firefox

BUT, I see it is for firefox 3.0? What should I do for the 3.5.x?

Thanks!!!

linux.girl (girllinux26) wrote :

OK, I did:

sudo apt-get purge firefox firefox-3.5 ubufox
sudo apt-get install --reinstall firefox firefox-3.5 firefox-3.5-gnome-support

And it solved the problem, thanks!!!!

On Sat, Feb 20, 2010 at 11:13:53AM -0000, linux.girl wrote:
> OK, I did:
>
> sudo apt-get purge firefox firefox-3.5 ubufox
> sudo apt-get install --reinstall firefox firefox-3.5 firefox-3.5-gnome-support
>
> And it solved the problem, thanks!!!!
>

are you on jaunty?

 - Alexander

linux.girl (girllinux26) wrote :

Hi Alexander, no not on jaunty, I'm on karmic coala.

John Vivirito (gnomefreak) wrote :

I'm closing this bug in Intrepid since it has reached EOLS.

Changed in ubufox (Ubuntu Intrepid):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers